Namespace
bellsoft
Image / Tag
liberica-runtime-container:jre-23_38-cds-slim-musl
Content Digest
sha256:9ea2178245826af5349c746c41839dbffe1b7f2c0d6b2e0a9bb8e179ea26ad37
Details
Created

2024-10-15 19:15:57 UTC

Size

52.1 MB

Content Digest
Labels
  • maintainer
    BellSoft <info@bell-sw.com>
  • org.opencontainers.image.authors
    BellSoft <info@bell-sw.com>
  • org.opencontainers.image.description
    Alpaquita Stream Musl based image with Liberica JRE 23, with CDS archives, with APK tools removed.

Environment
JAVA_HOME

/usr/lib/jvm/liberica23-container-jre

LANG

en_US.UTF-8

LANGUAGE

en_US:en

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:ad612a4f28f7fc8aca8d81311d1a3a5a3ce1d25c86295c7cb5af0c24b29991f3 - 100.0% (52.1 MB)


History
2024-10-15 19:15:55 UTC (FROM docker.io/bellsoft/alpaquita-linux-base:stream-musl)

/bin/sh -c #(nop) ARG JAVA_RELEASE

2024-10-15 19:15:55 UTC

/bin/sh -c #(nop) ARG CDS JAVA_RELEASE

2024-10-15 19:15:55 UTC

/bin/sh -c #(nop) ARG CDS JAVA_RELEASE REMOVE_APK_TOOLS

2024-10-15 19:15:55 UTC

/bin/sh -c #(nop) ARG CDS JAVA_RELEASE MAINTAINER REMOVE_APK_TOOLS

2024-10-15 19:15:55 UTC

/bin/sh -c #(nop) ARG CDS DESCRIPTION JAVA_RELEASE MAINTAINER REMOVE_APK_TOOLS

2024-10-15 19:15:55 UTC

/bin/sh -c #(nop) LABEL maintainer="$MAINTAINER"

2024-10-15 19:15:55 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors="$MAINTAINER"

2024-10-15 19:15:55 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.description="$DESCRIPTION"

2024-10-15 19:15:55 UTC

/bin/sh -c #(nop) ENV LANG=en_US.UTF-8 LANGUAGE=en_US:en

2024-10-15 19:15:55 UTC

/bin/sh -c #(nop) ENV JAVA_HOME="/usr/lib/jvm/liberica${JAVA_RELEASE}-container-jre"

2024-10-15 19:15:58 UTC

|21 CDS=yes DESCRIPTION=Alpaquita Stream Musl based image with Liberica JRE 23, with CDS archives, with APK tools removed. JAVA_RELEASE=23 MAINTAINER=BellSoft <info@bell-sw.com> REMOVE_APK_TOOLS=yes /bin/sh -c set -e; command set -o pipefail; case "$JAVA_RELEASE" in 11|17|21|22|23) ;; *) echo -n "Invalid JAVA_RELEASE: '${JAVA_RELEASE}'. "; echo "Only '11', '17', '21', '22' and '23' are supported."; exit 1; ;; esac; case "$CDS" in yes|no) ;; *) echo "Invalid CDS: '${CDS}'. "; echo "Only 'yes' and 'no' are supported."; exit 1; ;; esac; case "$REMOVE_APK_TOOLS" in yes|no) ;; *) echo "Invalid REMOVE_APK_TOOLS: '${REMOVE_APK_TOOLS}'. "; echo "Only 'yes' and 'no' are supported."; exit 1; ;; esac; apk add --no-cache "liberica${JAVA_RELEASE}-container-jre"; if [ "$CDS" = "yes" ]; then apk add --no-cache "liberica${JAVA_RELEASE}-container-jre-cds"; fi; if [ "$REMOVE_APK_TOOLS" = "yes" ]; then apk del --no-cache apk-tools; fi

Details
Created

2024-10-15 19:15:48 UTC

Size

51.5 MB

Content Digest
Labels
  • maintainer
    BellSoft <info@bell-sw.com>
  • org.opencontainers.image.authors
    BellSoft <info@bell-sw.com>
  • org.opencontainers.image.description
    Alpaquita Stream Musl based image with Liberica JRE 23, with CDS archives, with APK tools removed.

Environment
JAVA_HOME

/usr/lib/jvm/liberica23-container-jre

LANG

en_US.UTF-8

LANGUAGE

en_US:en

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:b18dbac5be50ab2275b127a94936571c8f4458e53359608d0c88809b4b81263f - 100.0% (51.5 MB)


History
2024-10-15 19:15:46 UTC (FROM docker.io/bellsoft/alpaquita-linux-base:stream-musl)

/bin/sh -c #(nop) ARG JAVA_RELEASE

2024-10-15 19:15:46 UTC

/bin/sh -c #(nop) ARG CDS JAVA_RELEASE

2024-10-15 19:15:46 UTC

/bin/sh -c #(nop) ARG CDS JAVA_RELEASE REMOVE_APK_TOOLS

2024-10-15 19:15:46 UTC

/bin/sh -c #(nop) ARG CDS JAVA_RELEASE MAINTAINER REMOVE_APK_TOOLS

2024-10-15 19:15:46 UTC

/bin/sh -c #(nop) ARG CDS DESCRIPTION JAVA_RELEASE MAINTAINER REMOVE_APK_TOOLS

2024-10-15 19:15:46 UTC

/bin/sh -c #(nop) LABEL maintainer="$MAINTAINER"

2024-10-15 19:15:46 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors="$MAINTAINER"

2024-10-15 19:15:46 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.description="$DESCRIPTION"

2024-10-15 19:15:46 UTC

/bin/sh -c #(nop) ENV LANG=en_US.UTF-8 LANGUAGE=en_US:en

2024-10-15 19:15:46 UTC

/bin/sh -c #(nop) ENV JAVA_HOME="/usr/lib/jvm/liberica${JAVA_RELEASE}-container-jre"

2024-10-15 19:15:48 UTC

|21 CDS=yes DESCRIPTION=Alpaquita Stream Musl based image with Liberica JRE 23, with CDS archives, with APK tools removed. JAVA_RELEASE=23 MAINTAINER=BellSoft <info@bell-sw.com> REMOVE_APK_TOOLS=yes /bin/sh -c set -e; command set -o pipefail; case "$JAVA_RELEASE" in 11|17|21|22|23) ;; *) echo -n "Invalid JAVA_RELEASE: '${JAVA_RELEASE}'. "; echo "Only '11', '17', '21', '22' and '23' are supported."; exit 1; ;; esac; case "$CDS" in yes|no) ;; *) echo "Invalid CDS: '${CDS}'. "; echo "Only 'yes' and 'no' are supported."; exit 1; ;; esac; case "$REMOVE_APK_TOOLS" in yes|no) ;; *) echo "Invalid REMOVE_APK_TOOLS: '${REMOVE_APK_TOOLS}'. "; echo "Only 'yes' and 'no' are supported."; exit 1; ;; esac; apk add --no-cache "liberica${JAVA_RELEASE}-container-jre"; if [ "$CDS" = "yes" ]; then apk add --no-cache "liberica${JAVA_RELEASE}-container-jre-cds"; fi; if [ "$REMOVE_APK_TOOLS" = "yes" ]; then apk del --no-cache apk-tools; fi

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.

Delete